RecordingPlaybackListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.dvr
Interface RecordingPlaybackListener

All Superinterfaces:
  EventListener

    public interface RecordingPlaybackListener

extends EventListener

This interface represents a listener that can be added to listen for recording playback start. The implementation SHALL notify a listener once when a recording playback starts. For purposes of this listener playback is considered ongoing while the presenting `ServiceContext` is in the presenting state regardless of trick mode. This listener is specific to `ServiceContext` recording playback and does not notify for discreet `Player` based recording playback.

Method Summary
`void` | `notifyRecordingPlayback(ServiceContext context, int artificialCarouselID, int[] carouselIDs)` Notifies the listener a recording playback has started.

Method Detail

### notifyRecordingPlayback

    void notifyRecordingPlayback(ServiceContext context,
                                 int artificialCarouselID,
                                 int[] carouselIDs)

  Notifies the listener a recording playback has started. The implementation SHALL create a new carousel Id for any artificial carousel in each playback. The carouselIDs parameter SHALL reference broadcast carousels when stored with a recorded service. An artificial carousel ID shall not conflict with a carousel ID of a signaled carousel that was also stored with the recorded service and presented by the context parameter. An artificial carousel ID MAY conflict with other carousel IDs.

  Parameters:
    `context` - The `ServiceContext` presenting the recorded service.
    `artificialCarouselID` - Carousel ID for an artificial carousel that MAY have been created for the recording being played back. A value of -1 indicates no artificial carousel was created.
    `carouselIDs` - Array of carousel IDs associated with broadcast carousels stored with the recording being played back. If no carousels are contained a zero length array is passed in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD